
import numpy as np


def relative_humidity_from_dewpoint(dew, temp):
    return np.clip(100 * e_sat(dew) / e_sat(temp), 0, 100)


def e_sat(temperature):
    a1 = 611.21  # Pa
    a3 = 17.502
    a4 = 32.19  # K
    T0 = 273.16  # K
    return a1 * np.exp(a3 * (temperature - T0) / (temperature - a4))
